#!/bin/bash

if [ ! -f mt_report.h ]; then
	echo "not find file:mt_report.h install failed !"
	exit 1
fi

if [ ! -d /usr/include/mtagent_api_lib ]; then
	mkdir -p /usr/include/mtagent_api_lib
fi
cp *.h /usr/include/mtagent_api_lib

if [ ! -f libmtreport_cloud_api.a ]; then
	echo "not find file: libmtreport_cloud_api.a "
	exit 2
fi

if [ -d /usr/lib64 ]; then
	DEST_LIB=/usr/lib64
else
	DEST_LIB=/usr/lib
fi

cp libmtreport_cloud_api.a $DEST_LIB

