#ifndef _MT_SHM_12451117_H_
#define _MT_SHM_12451117_H_ (1) 

#include <inttypes.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <assert.h>

#ifdef __cplusplus
extern "C"
{
#endif

#define COMM_LIB_BUG assert(0)

// 搜索共享内存 key 次数
#define MT_ATTACH_SHM_TRY_MAX 100

// 原子操作
#define SYNC_CAS_GET(f) __sync_bool_compare_and_swap(f, 0, 1)
#define SYNC_CAS_FREE(f) f = 0
#define VARMEM_CAS_GET(f) __sync_bool_compare_and_swap(f, 0, 1)
#define VARMEM_CAS_FREE(f) f = 0


char* MtReportGetShm(int iKey, int iSize, int iFlag);

// 获取共享内存，并进行内存检查
// 返回值 -2 check 失败, -1 失败，1 不存在，已创建，0 存在已经 attach 上
int32_t MtReport_GetShm(void **pstShm, int32_t iShmID, int32_t iSize, int32_t iFlag, const char *pcheckstr);
int32_t MtReport_GetShm2(void **pstShm, int32_t iShmID, int32_t iSize, int32_t iFlag);

#ifdef __cplusplus
}
#endif

#endif

