#ifndef _SV_CFG_H
#define _SV_CFG_H

#ifdef __cplusplus
extern "C" {
#endif

#define CFG_STRING		((int)1)
#define CFG_INT			((int)2)
#define CFG_LONG		((int)3)
#define CFG_DOUBLE		((int)4)
#define CFG_LINE		((int)5)
#define CFG_UINT32		((int)6)
#define CFG_UINT64		((int)7)

int CheckPluginConfig(const char *pszConfigFilePath);
int IsPluginVersionOk(const char *pbig_eq, const char *psmall);
int IsVersionOk(const char *pbig_eq, const char *psmall);
int GetParamVal(char *sLine, char *sParam, char *sVal);
int LoadConfig(const char *pszConfigFilePath, ...);
int GetConfigFile(const char *pAppStr, char **pconfOut);
int GetLogTypeByStr(const char *pstrType);

#ifdef __cplusplus
}
#endif

#endif // _SV_CFG_H

